Name:           frei0r
Version:        2.3.3
Release:        %mkrel 0
Summary:        A minimalistic plugin API for video effects
Group:          System/Libraries
License:        GPLv2+
URL:            https://frei0r.dyne.org/
Source0:        https://github.com/dyne/frei0r/archive/v%{version}/frei0r-plugins-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  pkgconfig(gavl) >= 0.2.3
BuildRequires:  pkgconfig(opencv) >= 3.4.0
Provides:       frei0r-plugins = %{version}-%{release}

%description
It is a minimalistic plugin API for video sources and filters. The behaviour of
the effects can be controlled from the host by simple parameters. The intent is
to solve the recurring reimplementation or adaptation issue of standard effect

%package        devel
Summary:        Development files for %{name}
Group:          Development/Other

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -p1

%build
%cmake
%cmake_build

%install
%cmake_install

# Remove these, they'll be %%doc'ed
rm -rf %{buildroot}%{_docdir}/%{name}-plugins

%files
%doc AUTHORS ChangeLog README.md
%license COPYING
%dir %{_libdir}/%{name}-1
%{_libdir}/%{name}-1/*.so

%files devel
%{_includedir}/frei0r.h
%{_libdir}/pkgconfig/frei0r.pc
